Bug 472494 - New request: set the drop down list of "Request Information From" default to pending on review after vendor types something
New request: set the drop down list of "Request Information From" default to ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 00:40 EST by QinXie
Modified: 2009-02-03 23:43 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.3 (hwcert-3.2rh-20090129.0)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 23:43:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description QinXie 2008-11-21 00:40:06 EST
Some vendor will forget to set the needinfo flag to be reviewer after they finished their action, and then, the cert will keep as pending on vendor and will not be thrown to reviewer by "next work" queue. 

It can be avoid if catalog can set the default selection of the drop down list to be pending on reviewer after catalog detects vendor types something in the diag box. then, after vendor click the "save change" button, the status of this cert is pending on vendor. and vendor still can set the cert pending on himself or TAM by select the drop down list manually.
Comment 1 QinXie 2008-11-21 00:41:37 EST
and I think the modification of plan table, eg: enter leverage id, should be considered too.
Comment 2 Rob Landry 2008-11-21 11:47:11 EST
leverage id should appear in the leverage queue?
Comment 3 QinXie 2008-11-23 21:43:08 EST
Yes, it will appear in leverage queue, but it will not be thrown out as the next work.
Followed is the bot's "next work" logic provided by yk:
<snip>
    0) someone typed the "hwcertbot, next work"
    1) check whether the cache is not updated for more than 60 minutes
        1.1) clear this cache if "yes"
        1.2) do not change anything if "no"
    2) query the DB, find out and add all certs which are pending_on_vendor or pending_on_TAM to the cache
.........
.........
.........
    7) find out all certs which have the "hwcert_work_leverage_review" flag, sort by age
.........
.........
<snip>

The step2 is remove the certs which is pending on vendor or tam, so one cert which has leverage flag will not reach step7.
Comment 4 Rob Landry 2008-11-24 10:00:21 EST
That's a bot bug, I've already discussed with ykun the issues with the bot flow and it's lack of parallelism, I don't think munging the dialog status to get leverage review is the solution.
Comment 12 Rob Landry 2009-01-16 13:07:51 EST
2 is testplan flag has nothing to do with needinfo
3 is package flag has nothing to do with needinfo

Note You need to log in before you can comment on or make changes to this bug.